               JOB  MOO
               CTL  6611  *6=16,000C;6=16,000T;2=OBJDECK;,1=MODADD     
     *
               ORG  87
     X1        DSA  0                * INDEX REGISTER 1
               ORG  92
     X2        DSA  0                * INDEX REGISTER 2
               ORG  97
     X3        DSA  0                * INDEX REGISTER 3
               ORG  350
     *
     DATA      DCW  @FIRST MOO PROGRAM 04/14/2013@
     *
     ERROR     DCW  0                *DID WE HAVE AN ERROR
     BULLS     DCW  0                *COUNT OF BULLS
     COWS      DCW  0                *COUNT OF COWS
     MASTER    DCW  @1357@
     GMWM      DCW  @"@              *GROUP MARK WORD MARK
     ************************************************************          
     START     H
     START2    CS   080               *CLEAR READ BUFFER
               MCW  @0@,ERROR         *RESET ERROR COUNT
               MCW  @0@,BULLS         *RESET BULL COUNT
               MCW  @0@,COWS          
               SW   001,002           *SET WMS FOR COMPARE
               SW   003,004           *SET WM FOR COMPARE
               SW   MASTER,MASTER-1
               SW   MASTER-2
               B    READ              *READ A RECORD FROM PC
               C    001,@E@           *IS IT EXIT?
               BE   MOOEX
               B    VALID             *CALL VALITITY CHECK
               BCE  START2,ERROR,1    *IF YOU HAD A VALIDITY ERROR
               B    COWCNT            *DO A COUNT OF COWS
               B    BULLCT            *DO A COUNT OF BULLS
               B    PRTCNT
               B    START2
     MOOEX     CS   332
               CS
               MCW  @THANK YOU FOR PLAYING MOO ON THE IBM 1401 5/12/2013@,253
               B    WRITE             *WRITE TO PC
               CS   299               *CLEAR PRINT STORAGE
               MCW  @EXIT@,204        *SET EXIT FLAG
               B    14004             *RETURN TO LOADER
     ************************************************************
     RETURN    B    000               *UNIVERSIAL RETURN
     ************************************************************
     VALID     SBR  RETURN&3          *SAVE OFF RETURN
     *                                *IS IT 0-9
               C    @0@,001           *COMPARE WITH LOWEST NUMERIC
               BL   VERROR            *BAD CHARACTER
               C    @0@,002           *COMPARE WITH LOWEST NUMERIC
               BL   VERROR            *BAD CHARACTER
               C    @0@,003           *COMPARE WITH LOWEST NUMERIC
               BL   VERROR            *BAD CHARACTER
               C    @0@,004           *COMPARE WITH LOWEST NUMERIC
               BL   VERROR            *BAD CHARACTER
     *                                *DUPLICATE NUMBERS
               C    001,002           *IS 1 = 2
               BE   VERROR            *GOT A DUPE
               C    001,003           *IS 1 = 2
               BE   VERROR            *GOT A DUPE
               C    001,004           *IS 1 = 2
               BE   VERROR            *GOT A DUPE
               C    002,003           *IS 1 = 2
               BE   VERROR            *GOT A DUPE
               C    002,004           *IS 1 = 2
               BE   VERROR            *GOT A DUPE
               C    003,004           *IS 1 = 2
               BE   VERROR            *GOT A DUPE
               B    RETURN            *GO BACK
     VERROR    MCW  @1@,ERROR         *SET ERROR
               MCW  @ERROR ON SUBMITTED NUMBER @,228
               MCW  004,234           *MOVE ERROR NUMBER TO PRINT
               MCW                    *MOVE ERROR NUMBER TO PRINT
               MCW                    *MOVE ERROR NUMBER TO PRINT
               MCW                    *MOVE ERROR NUMBER TO PRINT
               B    WRITE             *PRINT MESSAGE
               CS   299               *CLEAR PRINT BUFFER
               B    WRITE             *PRINT MESSAGE
               B    RETURN
     ***************************************************************
     BULLCT    SBR  RETURN&3          *SAVE OFF RETURN
               C    001,MASTER-3      *COMPARE COLUMN 1
               BE   ADBULL            *INCREMENT BULLS
               C    002,MASTER-2      *COMPARE COLUMN 1
               BE   ADBULL            *INCREMENT BULLS
               C    003,MASTER-1      *COMPARE COLUMN 1
               BE   ADBULL            *INCREMENT BULLS
               C    004,MASTER        *COMPARE COLUMN 1
               BE   ADBULL            *INCREMENT BULLS
               B    RETURN
     ************************************************************
     ADBULL    SBR  ADDRTN&3          *STORE RETURN
               A    @1@,BULLS         *ADD 1 TO BULL COUNT
     ADDRTN    B    000               *RETURN COUNT
     *****************************************************************
     COWCNT    SBR  RETURN&3         *SAVE OFF RETURN
               C    001,MASTER-2     *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    001,MASTER-1     *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    001,MASTER       *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
     *
               C    002,MASTER-3     *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    002,MASTER-1     *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    002,MASTER       *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
     *
               C    003,MASTER-3       *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    003,MASTER-2     *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    003,MASTER       *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
     *
               C    004,MASTER-3       *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    004,MASTER-2     *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               C    004,MASTER-1     *COMPARE COLUMN 1
               BE   ADCOW            *INCREMENT BULLS
               B    RETURN           *GO BACK
     ADCOW     SBR  ADCRTN&3         *STORE RETURN
               A    @1@,COWS         *ADD 1 TO COW COUNT
     ADCRTN    B    000              *RETURN 
     *
     PRTCNT    SBR  RETURN&3         *SAVE OFF RETURN
               MCW  @YOU SELECTED @,215
               MCW  004,220
               MCW
               MCW
               MCW
               B    WRITE           *PRINT
               CS   299
               MCW  @YOU GOT    BULLS@,218
               MCW  BULLS,211
               B    WRITE           *PRINT
               CS   299
               C    BULLS,@4@
               BE   WIN
               MCW  @YOU GOT    COWS@,217
               MCW  COWS,211
               B    WRITE           *PRINT
               CS   299
               B    WRITE           *PRINT
               B    RETURN
     WIN       MCW  @CONGRADULATIONS YOU WON THE FOUR BULLS@,240
               B    WRITE           *PRINT
               CS   299    
               MCW  @NOW THE NUMBER WILL BE CHANGED@,232
               B    WRITE           *PRINT
               CS   299
               B    WRITE           *PRINT
               B    RETURN
     **************************************************
     READ      SBR  RET3&3          *SAVE OFF RETURN
               CS   081             *CLEAR READ BUFFER
               MCW  GMWM,081        *SET WORD MARK GROUP MARK
               MCW  %Z1,001,R       *READ A RECORD FROM PC INTO READ BUFFER
     *                              *80 CHARACTERS PLUS WMGM
     RET3      B    0000            *RETURN NUMBER 3
     **************************************************
     WRITE     SBR  RET4&3          *SAVE OFF RETURN
               MCW  GMWM,281        *SET WORD MARK GROUP MARK
               MCW  %Z1,201,W       *WRITE A RECORD FROM 1401 TO PC
     *                              *80 CHARACTERS PLUS WMGM
     RET4      B    000             *RETURN NUMBER 4
               NOP
               END  START   
